import request from '/@/utils/request';

export function contingencyApi(){
    return{
        getTeamManagementList: (params: object) => {
            return request({
                url: `/emergencyTeam/page/list`,
                method: 'post',
                data:params
            })
        },
        // 应急队伍新增
        addEmergencyTeam: (params:object) => {
            return request({
                url: `/emergencyTeam/add`,
                method: 'post',
                data: params
            });
        },
        // 应急队伍详情
        seeEmergencyTeam: (params:number) => {
            return request({
                url: `/emergencyTeam/info/${params}`,
                method: 'get'
            });
        },
        // 应急队伍编辑
        editEmergencyTeam: (params: object) => {
            return request({
                url: `/emergencyTeam/update`,
                method: 'post',
                data: params
            });
        },
        // 应急队伍删除
        deleteEmergencyTeam: (params:object) => {
            return request({
                url: `/emergencyTeam/batchDelete/${params}`,
                method: 'get',
            });
        },
        // 应急队伍人员一览
        getEmergencyTeamPersonnelList: (params: number) => {
            return request({
                url: `/emergencyTeam/memberList/${params}`,
                method: 'get',
                // data:params
            })
        },
        // 应急队伍人员新增
        addEmergencyTeamPersonnel: (params:object) => {
            return request({
                url: `/emergencyTeam/addMember`,
                method: 'post',
                data: params
            });
        },
        // 应急队伍人员详情
        seeEmergencyTeamPersonnel: (params:number) => {
            return request({
                url: `/emergencyTeam/infoMember/${params}`,
                method: 'get'
            });
        },
        // 应急队伍人员编辑
        editEmergencyTeamPersonnel: (params: object) => {
            return request({
                url: `/emergencyTeam/updateMember`,
                method: 'post',
                data: params
            });
        },
        // 应急队伍人员删除
        deleteEmergencyTeamPersonnel: (params:object) => {
            return request({
                url: `/emergencyTeam/deleteMember/${params}`,
                method: 'get',
            });
        },
    }
}